package gssim.db.dao.data;

/**
 * 
 * @author Marcin Krystek, Jarek Szymczak
 *
 */
public class User {

	protected Integer id;
	protected String DN;
	
	public Integer getId() {
		return id;
	}
	public void setId(Integer id) {
		this.id = id;
	}
	
	public String getDN() {
		return DN;
	}
	public void setDN(String dn) {
		DN = dn;
	}
	
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((DN == null) ? 0 : DN.hashCode());
		result = prime * result + id;
		return result;
	}
	
	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		User other = (User) obj;
		if (DN == null) {
			if (other.DN != null)
				return false;
		} else if (!DN.equals(other.DN))
			return false;
		if (id != other.id)
			return false;
		return true;
	}
	
	@Override
	public String toString() {
		return "User [pk=" + id + ", DN=" + DN + "]";
	}
}
