package gssim.db.dao.data;

import java.sql.Timestamp;

/**
 * 
 * @author Jarek Szymczak
 *
 */
public class Experiment {

	protected Integer PK;
	protected Integer userId;
	protected Integer configId;
	protected Timestamp commissionDate;
	protected String name;
	protected String description;
	protected String status;
	protected Integer metaexpId;
	
	public Integer getPK() {
		return PK;
	}
	public void setPK(Integer pK) {
		PK = pK;
	}
	public Integer getUserId() {
		return userId;
	}
	public void setUserId(Integer userId) {
		this.userId = userId;
	}
	public Integer getConfigId() {
		return configId;
	}
	public void setConfigId(Integer configId) {
		this.configId = configId;
	}
	public Timestamp getCommissionDate() {
		return commissionDate;
	}
	public void setCommissionDate(Timestamp commissionDate) {
		this.commissionDate = commissionDate;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public String getDescription() {
		return description;
	}
	public void setDescription(String description) {
		this.description = description;
	}
	public String getStatus() {
		return status;
	}
	public void setStatus(String status) {
		this.status = status;
	}
	public Integer getMetaexpId() {
		return metaexpId;
	}
	public void setMetaexpId(Integer metaexpId) {
		this.metaexpId = metaexpId;
	}
	@Override
	public String toString() {
		return "Experiment nowy [PK=" + PK + ", commissionDate=" + commissionDate
				+ ", configId=" + configId + ", description=" + description
				+ ", metaexpId=" + metaexpId + ", name=" + name + ", status="
				+ status + ", userId=" + userId + "]";
	}
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((PK == null) ? 0 : PK.hashCode());
		result = prime * result
				+ ((commissionDate == null) ? 0 : commissionDate.hashCode());
		result = prime * result
				+ ((configId == null) ? 0 : configId.hashCode());
		result = prime * result
				+ ((description == null) ? 0 : description.hashCode());
		result = prime * result
				+ ((metaexpId == null) ? 0 : metaexpId.hashCode());
		result = prime * result + ((name == null) ? 0 : name.hashCode());
		result = prime * result + ((status == null) ? 0 : status.hashCode());
		result = prime * result + ((userId == null) ? 0 : userId.hashCode());
		return result;
	}
	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		Experiment other = (Experiment) obj;
		if (PK == null) {
			if (other.PK != null)
				return false;
		} else if (!PK.equals(other.PK))
			return false;
		if (commissionDate == null) {
			if (other.commissionDate != null)
				return false;
		} else if (!commissionDate.equals(other.commissionDate))
			return false;
		if (configId == null) {
			if (other.configId != null)
				return false;
		} else if (!configId.equals(other.configId))
			return false;
		if (description == null) {
			if (other.description != null)
				return false;
		} else if (!description.equals(other.description))
			return false;
		if (metaexpId == null) {
			if (other.metaexpId != null)
				return false;
		} else if (!metaexpId.equals(other.metaexpId))
			return false;
		if (name == null) {
			if (other.name != null)
				return false;
		} else if (!name.equals(other.name))
			return false;
		if (status == null) {
			if (other.status != null)
				return false;
		} else if (!status.equals(other.status))
			return false;
		if (userId == null) {
			if (other.userId != null)
				return false;
		} else if (!userId.equals(other.userId))
			return false;
		return true;
	}
	
}